UFF/TorsionAngle.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/Contrib.h>`
`#include <Geometry/point.h>`
`#include <GraphMol/Atom.h>`

Go to the source code of this file.

## Classes

class | ForceFields::UFF::TorsionAngleContrib
| the torsion term for the Universal Force Field More...

## Namespaces

| RDGeom
| ForceFields
| ForceFields::UFF
| ForceFields::UFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT double | ForceFields::UFF::Utils::calculateCosTorsion (const RDGeom::Point3D &p1, const RDGeom::Point3D &p2, const RDGeom::Point3D &p3, const RDGeom::Point3D &p4)
| calculates and returns the cosine of a torsion angle More...
RDKIT_FORCEFIELD_EXPORT void | ForceFields::UFF::Utils::calcTorsionGrad (RDGeom::Point3D *r, RDGeom::Point3D *t, double *d, double **g, double &sinTerm, double &cosPhi)
RDKIT_FORCEFIELD_EXPORT double | ForceFields::UFF::Utils::equation17 (double bondOrder23, const AtomicParams *at2Params, const AtomicParams *at3Params)
RDKIT_FORCEFIELD_EXPORT bool | ForceFields::UFF::Utils::isInGroup6 (int num)